## ros-lunar-combined-robot-hw 0.13.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(combined_robot_hw)

find_package(catkin REQUIRED COMPONENTS
  hardware_interface
  pluginlib
  roscpp
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS hardware_interface pluginlib roscpp
)

add_library(${PROJECT_NAME}
  src/combined_robot_hw.cpp
)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})


# Install
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(TARGETS ${PROJECT_NAME}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== debian/changelog ===
ros-lunar-combined-robot-hw (0.13.3-0xenial) xenial; urgency=high

  * Introduce shared_ptr typedefs
  * Update maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 25 Apr 2018 23:00:00 -0000

ros-lunar-combined-robot-hw (0.13.2-0xenial) xenial; urgency=high

  * migrate classloader headers
  * Contributors: Mathias Lüdtke

 -- Toni Oliver <toni@shadowrobot.com>  Sun, 15 Apr 2018 23:00:00 -0000

ros-lunar-combined-robot-hw (0.13.1-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Sun, 25 Mar 2018 23:00:00 -0000

ros-lunar-combined-robot-hw (0.13.0-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-lunar-combined-robot-hw (0.12.0-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Fri, 04 Aug 2017 23:00:00 -0000

ros-lunar-combined-robot-hw (0.11.5-0xenial) xenial; urgency=high

  * Fix typo in architecture.svg
  * Contributors: Martin Günther

 -- Toni Oliver <toni@shadowrobot.com>  Tue, 27 Jun 2017 23:00:00 -0000

ros-lunar-combined-robot-hw (0.11.4-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Tue, 14 Feb 2017 00:00:00 -0000

ros-lunar-combined-robot-hw (0.11.3-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Wed, 07 Dec 2016 00:00:00 -0000

ros-lunar-combined-robot-hw (0.11.2-0xenial) xenial; urgency=high

  * Add Toni's email to the author fields too
  * Add Enrique and Bence to maintainer list
  * Clean up export leftovers from rosbuild
  * Convert to format2, fix dependency in cmake
  * Add combined_robot_hw to metapackage & system figure
  * Contributors: Bence Magyar

 -- Toni Oliver <toni@shadowrobot.com>  Mon, 28 Nov 2016 00:00:00 -0000

ros-lunar-combined-robot-hw (0.11.1-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Wed, 17 Aug 2016 23:00:00 -0000

ros-lunar-combined-robot-hw (0.11.0-0xenial) xenial; urgency=high

  * Add packages combined_robot_hw and combined_robot_hw_tests. combined_robot_hw allows to load different RobotHW as plugins and combines them into a single RobotHW. A single controller manager can then access resources from any robot.
  * Contributors: Toni Oliver

 -- Toni Oliver <toni@shadowrobot.com>  Sun, 22 May 2016 23:00:00 -0000

ros-lunar-combined-robot-hw (0.10.1-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Fri, 22 Apr 2016 23:00:00 -0000

ros-lunar-combined-robot-hw (0.10.0-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-lunar-combined-robot-hw (0.9.4-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Fri, 12 Feb 2016 00:00:00 -0000

ros-lunar-combined-robot-hw (0.9.3-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Mon, 04 May 2015 23:00:00 -0000

ros-lunar-combined-robot-hw (0.9.2-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Sun, 03 May 2015 23:00:00 -0000

ros-lunar-combined-robot-hw (0.9.1-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-lunar-combined-robot-hw (0.9.0-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-lunar-combined-robot-hw (0.8.2-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Tue, 24 Jun 2014 23:00:00 -0000

ros-lunar-combined-robot-hw (0.8.1-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Mon, 23 Jun 2014 23:00:00 -0000

ros-lunar-combined-robot-hw (0.8.0-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Sun, 11 May 2014 23:00:00 -0000

ros-lunar-combined-robot-hw (0.7.3-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Tue, 28 Oct 2014 00:00:00 -0000

ros-lunar-combined-robot-hw (0.7.2-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Mon, 31 Mar 2014 23:00:00 -0000

ros-lunar-combined-robot-hw (0.7.1-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Sun, 30 Mar 2014 23:00:00 -0000

ros-lunar-combined-robot-hw (0.7.0-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Fri, 28 Mar 2014 00:00:00 -0000

ros-lunar-combined-robot-hw (0.6.0-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Wed, 05 Feb 2014 00:00:00 -0000

ros-lunar-combined-robot-hw (0.5.8-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Thu, 10 Oct 2013 23:00:00 -0000

ros-lunar-combined-robot-hw (0.5.7-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Mon, 29 Jul 2013 23:00:00 -0000

ros-lunar-combined-robot-hw (0.5.6-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Sun, 28 Jul 2013 23:00:00 -0000

ros-lunar-combined-robot-hw (0.5.5-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Tue, 23 Jul 2013 16:04:00 -0000

ros-lunar-combined-robot-hw (0.5.4-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Tue, 23 Jul 2013 13:37:00 -0000

ros-lunar-combined-robot-hw (0.5.3-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Mon, 22 Jul 2013 17:06:00 -0000

ros-lunar-combined-robot-hw (0.5.2-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Mon, 22 Jul 2013 14:00:00 -0000

ros-lunar-combined-robot-hw (0.5.1-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Thu, 18 Jul 2013 23:00:00 -0000

ros-lunar-combined-robot-hw (0.5.0-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Mon, 15 Jul 2013 23:00:00 -0000

ros-lunar-combined-robot-hw (0.4.0-0xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Mon, 24 Jun 2013 23:00:00 -0000

=== debian/control ===
Source: ros-lunar-combined-robot-hw
Section: misc
Priority: extra
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-hardware-interface, ros-lunar-pluginlib, ros-lunar-roscpp
Homepage: https://github.com/ros-controls/ros_control/wiki
Standards-Version: 3.9.2

Package: ros-lunar-combined-robot-hw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-hardware-interface, ros-lunar-pluginlib, ros-lunar-roscpp
Description: Combined Robot HW class.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-combined-robot-hw//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
